Package org.bukkit.material

# Interface Redstone

All Known Implementing Classes:
  `Button`, `Command`, `Comparator`, `Diode`, `Hopper`, `Lever`, `Observer`, `PistonBaseMaterial`, `PoweredRail`, `RedstoneTorch`, `RedstoneWire`, `TripwireHook`

public interface Redstone
Indicated a Material that may carry or create a Redstone current

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPowered()`
Gets the current state of this Material, indicating if it's powered or unpowered

## Method Details

### isPowered

boolean isPowered()
Gets the current state of this Material, indicating if it's powered or unpowered

Returns:
  true if powered, otherwise false